| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfSILMS Struct Reference
Subscriber Features

Silent Monitoring Supervisor. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
xsd__boolean * | SilentMonitoring
| Indication of whether a Supervisor is allowed to invoke Silent Monitoring. More...
xsd__boolean * | BargeIn
| Indication of whether a Supervisor is allowed to invoke Barge-In. More...
xsd__boolean * | Whisper
| Allows the SILM Supervisor to whisper to a SILM Agent. More...
struct unsp__MonitoringSessionsData * | MonitoringSessionsData
| Monitoring Sessions Data. More...
struct unsp__CfSILMS_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Silent Monitoring Supervisor.

The SILMS feature can be assigned to a BGL subscriber. Assigning this feature allows users to monitor other users. The monitoring is continuous, regardless they are in a call or not. The monitoring session remains active as long as user desires and not for a specific call. Users provisioned with SILMS, gain the capability of monitoring other users that have SILM Agent feature provisioned.
MP2 command: CFSILMS [Attributes]

## Member Data Documentation

## ◆ BargeIn

xsd__boolean* unsp__CfSILMS::BargeIn

Indication of whether a Supervisor is allowed to invoke Barge-In.

required: false
default value[range]: true

## ◆ Enabled

unsp__Enabled* unsp__CfSILMS::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfSILMS_locPres* unsp__CfSILMS::Local

Local Presence flags.

## ◆ MonitoringSessionsData

struct unsp__MonitoringSessionsData* unsp__CfSILMS::MonitoringSessionsData

Monitoring Sessions Data.

required: false

## ◆ SilentMonitoring

xsd__boolean* unsp__CfSILMS::SilentMonitoring

Indication of whether a Supervisor is allowed to invoke Silent Monitoring.

required: false
default value[range]: true

## ◆ Subscribed

enum unsp__Subscribed unsp__CfSILMS::Subscribed

Standard Subscribed enumeration.

## ◆ Whisper

xsd__boolean* unsp__CfSILMS::Whisper

Allows the SILM Supervisor to whisper to a SILM Agent.

required: false
default value[range]: true

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h